(function(exports) {
    var videoChatAPI = {
    	/**
    	 * 添加医生
    	 * @param {Object} data
    	 * participants  [{
		 *	"mobile":"手机号",
		 *	"name":"医生姓名",
		 *	"sex":"性别代码，男1，女2",
		 *	"birthdate":"1980-10-12",
		 *	"level":"固定值3",
		 *	"hospital_name":"所在医院",
		 *	"idcard":"身份证号"}]
    	 */
		addDoctor: function(data) {
			return httpRequest.videoChatPost("/doctor/zsVideo/addDoctor",{data:data}) 
		},

		/**
		 * 发起远程会诊
		 * @param {Object} data
		 * session_id 会话IM，建议为GUID全球唯一码
		 * session_type 会话类型，固定值：4
		 * session_name  会话名称，例如：张三的远程会诊
		 * participants 与会人员，{手机号1:角色, 手机号2:角色2}，其中角色：0为主持人, 1为普通参与者
		 * videoconferencing 是否视频会议，固定值：1
		 * idcard 18位患者身份证号
		 */
		sessions: function(data) {
			return httpRequest.videoChatPost("/doctor/zsVideo/createSessions",{data:data})
		},
		//添加会话成员 
		//sessionId  
		//participantId  医生手机号码 多个用逗号隔开
		addingSessionMembers: function(data) {
			return httpRequest.videoChatPost("/doctor/zsVideo/addingSessionMembers",{data:data})
		},
		
	}
    exports.videoChatAPI = videoChatAPI;
})(window)